Bug 1459484 - Lost Connection After Host Deploy when 4.1.3 Host Added to 4.1.2 Engine
Lost Connection After Host Deploy when 4.1.3 Host Added to 4.1.2 Engine
Status: CLOSED CURRENTRELEASE
Product: vdsm-jsonrpc-java
Classification: oVirt
Component: General (Show other bugs)
1.3.13
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-4.1.3
: 1.3.13
Assigned To: Piotr Kliczewski
Petr Matyáš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 05:23 EDT by Anton Marchukov
Modified: 2017-07-06 09:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: vdsm-jsonrpc-java-1.3.13-2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 09:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
rule-engine: blocker+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 77924 ovirt-4.1 MERGED remove apache-lang dependency 2017-06-07 08:13 EDT
oVirt gerrit 77930 ovirt-engine-4.1 MERGED jsonrpc: Version bump 2017-06-08 04:56 EDT
oVirt gerrit 77943 ovirt-4.1 MERGED getCause was dependent on apache-lang 2017-06-07 09:40 EDT

  None (edit)
Description Anton Marchukov 2017-06-07 05:23:57 EDT
Description of problem:

When you try to add 4.1.3 host to 4.1.2 engine the host deploy finishes successfully, but then engine reports "lost connection" and sets host as "non responsive" while in fact the is no network issue there.

Version-Release number of selected component (if applicable):

Engine uses vdsm-jsonrpc-java 1.3.13

How reproducible:

Always

Steps to Reproduce:
1. Install 4.1.2 engine.
2. Add 4.1.3 host.

Actual results:

Lost connection reported, host is not operational.

Expected results:

Host connected and working fine.

Additional info:

The following is in engine log:

2017-06-06 16:41:17,975-04 ERROR [org.ovirt.engine.core.vdsbroker.monitoring.HostMonitoring] (DefaultQuartzScheduler3) [] Failure to refresh host 'HOST1' runtime info: org/apache/commons/lang/StringUtils
2017-06-06 16:41:17,975-04 ERROR [org.ovirt.engine.core.utils.timer.SchedulerUtilQuartzImpl] (DefaultQuartzScheduler3) [] Failed to invoke scheduled method onTimer: null
2017-06-06 16:41:19,283-04 ERROR [org.ovirt.engine.core.vdsbroker.monitoring.HostMonitoring] (DefaultQuartzScheduler1) [] Failure to refresh host 'HOST2' runtime info: org/apache/commons/lang/StringUtils
2017-06-06 16:41:19,284-04 ERROR [org.ovirt.engine.core.utils.timer.SchedulerUtilQuartzImpl] (DefaultQuartzScheduler1) [] Failed to invoke scheduled method onTimer: null
2017-06-06 16:41:20,979-04 ERROR [org.ovirt.engine.core.vdsbroker.monitoring.HostMonitoring] (DefaultQuartzScheduler7) [] Failure to refresh host 'HOST1' runtime info: org/apache/commons/lang/StringUtils
2017-06-06 16:41:20,979-04 ERROR [org.ovirt.engine.core.utils.timer.SchedulerUtilQuartzImpl] (DefaultQuartzScheduler7) [] Failed to invoke scheduled method onTimer: null
2017-06-06 16:41:22,288-04 ERROR [org.ovirt.engine.core.vdsbroker.monitoring.HostMonitoring] (DefaultQuartzScheduler4) [] Failure to refresh host 'HOST2' runtime info: org/apache/commons/lang/StringUtils
2017-06-06 16:41:22,288-04 ERROR [org.ovirt.engine.core.utils.timer.SchedulerUtilQuartzImpl] (DefaultQuartzScheduler4) [] Failed to invoke scheduled method onTimer: null
Comment 1 Petr Matyáš 2017-06-13 11:30:57 EDT
Verified with vdsm-4.19.18-1.el7ev

Note You need to log in before you can comment on or make changes to this bug.